<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>The Thing (2021-)</Series>
  <Number>3</Number>
  <Web>https://www.comixology.com/The-Thing-2021-3-of-6/digital-comic/972419</Web>
  <Summary>WALTER MOSLEY'S FORAY INTO THE MARVEL UNIVERSE CONTINUES! It's time for the greatest rematch in the cosmos as Ben Grimm collides with his old sparring partner the Champion of the Universe once more! But this time, it's no prizefight! The stakes are life or death - not just for the Thing, but also his newfound friends and maybe the world itself! A pugilistic parade of paragon perfection.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB972419], [ASINB09JL335MC], [RELDATE:2022-01-12]</Notes>
  <Publisher>Marvel</Publisher>
  <Genre>Superhero</Genre>
  <PageCount>23</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
